List Users

Use this endpoint to retrieve a list of all users within the authenticated organization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

This endpoint allows you to retrieve a list of all users within the organization you are authenticated to. You can also refine this list by specifying user attributes. To access users within a sub-organization, you must include the org_id in your request's query parameters, along with a current_user_id associated with an admin user at the parent organization level.

When you pass multiple parameters, the endpoint returns users that match any of those parameters. A user does not need to match all parameters; a single match is sufficient. For instance, using the parameter jobs_need_approval=true&admin=true will return both admin users and users whose jobs require approval.

The only exception to this OR logic is when using the search parameter, which employs an AND/OR logic as follows:

(search AND (filter1 OR filter2 OR filter3))

Sample Response Body

{
    "pagination": {
        "current_page": 1,
        "total_pages": 1,
        "total": 2
    },
    "results": [
        {
            "id": 1537943,
            "first_name": "George",
            "last_name": "Bluth",
            "email": "[email protected]",
            "time_zone": "Pacific Time (US & Canada)",
            "aasm_state": "invited",
            "updated_at": "2023-07-26T15:47:04.634Z",
            "created_at": "2023-07-26T15:47:01.546Z",
            "require_job_approval": false,
            "last_sign_in_at": null,
            "acl_template": "admin",
            "test_data": true
        },
        {
            "id": 1537006,
            "first_name": "Buster",
            "last_name": "Bluth",
            "email": "[email protected]",
            "time_zone": "Pacific Time (US & Canada)",
            "aasm_state": "activated",
            "updated_at": "2023-07-25T23:46:52.171Z",
            "created_at": "2023-07-25T20:21:05.574Z",
            "require_job_approval": false,
            "last_sign_in_at": "2023-07-25T20:22:11.745Z",
            "acl_template": "admin",
            "test_data": true
        }
    ]
}
Query Params
string
Defaults to [email protected]

String. Filter users by search text. You can search by user name or email.

boolean
Defaults to false

Defaults to neither option. If you pass true admins will be returned. If you pass false no admins will be returned. Leaving blank returns all users

int32
Defaults to 8675309

All users that your ACL has access to will be returned. If you specify an org_id, only users in that org will be returned

string
Defaults to invited

String or Array. If you pass invited, users that have been invited, but not activated will be returned. If you pass activated users that are activated(members) will be returned. You can also pass an array of states an users matching any of those states will be returned.

boolean
Defaults to false

Boolean. If you pass true', users that require job approval will be returned. If you pass false` users that do not require job approval will be returned.

string
Defaults to ASC

Default sort is based on the updated_at column. Availble values are ASC and DESC, which will cause user objects to be sorted by their first name ascending or descending.

int32
Defaults to 1

Integer. Defaults to 1 and returns a specific page of results

int32
Defaults to 25

Integer. Defaults to 25 and and returns the desired number of user objects on a given page.

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!